Skip to main content
GET
/
templates
/
{id}
Get a template by ID
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/campaigns/templates/{id} \
  --header 'apikey: <api-key>' \
  --header 'appid: <appid>'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/campaigns/templates/{id}"

headers = {
    "appid": "<appid>",
    "apikey": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {appid: '<appid>', apikey: '<api-key>'}};

fetch('https://{appId}.api-{region}.cometchat.io/v3/campaigns/templates/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


Returns all versions and the current version’s channels and variable schema. Versions are immutable, so saving an edit auto-bumps the currentVersion. For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

Your CometChat REST API Key.

Headers

appid
string
required

Tenant application ID

Path Parameters

id
string
required

Response

Template found